Bug 987226 - localhost ddclient[22172]: WARNING: file /var/cache/ddclient/ddclient.cache, line 3: Invalid Value for keyword 'ip' = ''
localhost ddclient[22172]: WARNING: file /var/cache/ddclient/ddclient.cache,...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ddclient (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 23:00 EDT by jd1008
Modified: 2013-12-27 21:12 EST (History)
2 users (show)

See Also:
Fixed In Version: ddclient-3.8.1-9.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 21:11:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jd1008 2013-07-22 23:00:47 EDT
Description of problem:
ddclient creates a bad cache file and then issues warning about it's content.

Version-Release number of selected component (if applicable):

ddclient-3.8.1-4.fc18.noarch

How reproducible:

Run ddclient with a valid configuration.
My configuration has no ip=
line it it at all, as I have a dynamic IP.
Here is my config file, with some things obviously changed:

ssl=yes
daemon=600
cache=/var/cache/ddclient/ddclient.cache
pid=/var/run/ddclient/ddclient.pid

use=if  if=wlan0
server=dlinkddns.com
login=myLoginNamem
password=MyPassword
my.domain.name


Steps to Reproduce:
1.
2.
3.

Actual results:
Warns about invalid entry in the cache file.

Expected results:
No such warning.

Additional info:
Comment 1 jd1008 2013-07-23 00:17:18 EDT
Additional info:
Forgot to mention that I always delete the cache file before starting the ddclient.
Comment 2 Fedora End Of Life 2013-12-21 09:22:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Update System 2013-12-25 17:15:09 EST
ddclient-3.8.1-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ddclient-3.8.1-9.fc19
Comment 4 Fedora Update System 2013-12-25 17:16:39 EST
ddclient-3.8.1-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ddclient-3.8.1-9.fc18
Comment 5 Fedora Update System 2013-12-27 21:11:10 EST
ddclient-3.8.1-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-27 21:12:50 EST
ddclient-3.8.1-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.